1. Packages
  2. Oracle Cloud Infrastructure
  3. API Docs
  4. Dns
  5. getZone
Oracle Cloud Infrastructure v4.1.0 published on Thursday, Feb 26, 2026 by Pulumi
oci logo
Oracle Cloud Infrastructure v4.1.0 published on Thursday, Feb 26, 2026 by Pulumi

    This data source provides details about a specific Zone in Oracle Cloud Infrastructure DNS service.

    Gets information about a specific zone by name or OCID.

    Notes:

    • When accessing a private zone by name, the view_id must be provided and scope must be PRIVATE.
    • The compartment_id request parameter is deprecated by the service for GetZone and can generally be omitted.

    Example Usage

    Using zone OCID:

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const target = oci.Dns.getZone({
        zoneNameOrId: zoneOcid,
        scope: "PRIVATE",
        viewId: testView.id,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    target = oci.Dns.get_zone(zone_name_or_id=zone_ocid,
        scope="PRIVATE",
        view_id=test_view["id"])
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/dns"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := dns.GetZone(ctx, &dns.GetZoneArgs{
    			ZoneNameOrId: zoneOcid,
    			Scope:        pulumi.StringRef("PRIVATE"),
    			ViewId:       pulumi.StringRef(testView.Id),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var target = Oci.Dns.GetZone.Invoke(new()
        {
            ZoneNameOrId = zoneOcid,
            Scope = "PRIVATE",
            ViewId = testView.Id,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.Dns.DnsFunctions;
    import com.pulumi.oci.Dns.inputs.GetZoneArgs;
    import java.util.List;
    import java.util.ArrayList;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var target = DnsFunctions.getZone(GetZoneArgs.builder()
                .zoneNameOrId(zoneOcid)
                .scope("PRIVATE")
                .viewId(testView.id())
                .build());
    
        }
    }
    
    variables:
      target:
        fn::invoke:
          function: oci:Dns:getZone
          arguments:
            zoneNameOrId: ${zoneOcid}
            scope: PRIVATE
            viewId: ${testView.id}
    

    Using zone name (private zone):

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const targetByName = oci.Dns.getZone({
        zoneNameOrId: `${testTenancy.name}.example.internal.`,
        scope: "PRIVATE",
        viewId: testView.id,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    target_by_name = oci.Dns.get_zone(zone_name_or_id=f"{test_tenancy['name']}.example.internal.",
        scope="PRIVATE",
        view_id=test_view["id"])
    
    package main
    
    import (
    	"fmt"
    
    	"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/dns"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := dns.GetZone(ctx, &dns.GetZoneArgs{
    			ZoneNameOrId: fmt.Sprintf("%v.example.internal.", testTenancy.Name),
    			Scope:        pulumi.StringRef("PRIVATE"),
    			ViewId:       pulumi.StringRef(testView.Id),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var targetByName = Oci.Dns.GetZone.Invoke(new()
        {
            ZoneNameOrId = $"{testTenancy.Name}.example.internal.",
            Scope = "PRIVATE",
            ViewId = testView.Id,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.Dns.DnsFunctions;
    import com.pulumi.oci.Dns.inputs.GetZoneArgs;
    import java.util.List;
    import java.util.ArrayList;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var targetByName = DnsFunctions.getZone(GetZoneArgs.builder()
                .zoneNameOrId(String.format("%s.example.internal.", testTenancy.name()))
                .scope("PRIVATE")
                .viewId(testView.id())
                .build());
    
        }
    }
    
    variables:
      targetByName:
        fn::invoke:
          function: oci:Dns:getZone
          arguments:
            zoneNameOrId: ${testTenancy.name}.example.internal.
            scope: PRIVATE
            viewId: ${testView.id}
    

    Using getZone

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getZone(args: GetZoneArgs, opts?: InvokeOptions): Promise<GetZoneResult>
    function getZoneOutput(args: GetZoneOutputArgs, opts?: InvokeOptions): Output<GetZoneResult>
    def get_zone(compartment_id: Optional[str] = None,
                 scope: Optional[str] = None,
                 view_id: Optional[str] = None,
                 zone_name_or_id: Optional[str] = None,
                 opts: Optional[InvokeOptions] = None) -> GetZoneResult
    def get_zone_output(compartment_id: Optional[pulumi.Input[str]] = None,
                 scope: Optional[pulumi.Input[str]] = None,
                 view_id: Optional[pulumi.Input[str]] = None,
                 zone_name_or_id: Optional[pulumi.Input[str]] = None,
                 opts: Optional[InvokeOptions] = None) -> Output[GetZoneResult]
    func LookupZone(ctx *Context, args *LookupZoneArgs, opts ...InvokeOption) (*LookupZoneResult, error)
    func LookupZoneOutput(ctx *Context, args *LookupZoneOutputArgs, opts ...InvokeOption) LookupZoneResultOutput

    > Note: This function is named LookupZone in the Go SDK.

    public static class GetZone 
    {
        public static Task<GetZoneResult> InvokeAsync(GetZoneArgs args, InvokeOptions? opts = null)
        public static Output<GetZoneResult> Invoke(GetZoneInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetZoneResult> getZone(GetZoneArgs args, InvokeOptions options)
    public static Output<GetZoneResult> getZone(GetZoneArgs args, InvokeOptions options)
    
    fn::invoke:
      function: oci:Dns/getZone:getZone
      arguments:
        # arguments dictionary

    The following arguments are supported:

    ZoneNameOrId string
    The name or OCID of the target zone.
    CompartmentId string
    The OCID of the compartment the zone belongs to. This parameter is deprecated by the service for GetZone and should be omitted in most cases.
    Scope string
    Specifies to operate only on resources that have a matching DNS scope. Allowed values: GLOBAL, PRIVATE. Required to access private zones by name.
    ViewId string
    The OCID of the view the zone is associated with. Required when accessing a private zone by name.
    ZoneNameOrId string
    The name or OCID of the target zone.
    CompartmentId string
    The OCID of the compartment the zone belongs to. This parameter is deprecated by the service for GetZone and should be omitted in most cases.
    Scope string
    Specifies to operate only on resources that have a matching DNS scope. Allowed values: GLOBAL, PRIVATE. Required to access private zones by name.
    ViewId string
    The OCID of the view the zone is associated with. Required when accessing a private zone by name.
    zoneNameOrId String
    The name or OCID of the target zone.
    compartmentId String
    The OCID of the compartment the zone belongs to. This parameter is deprecated by the service for GetZone and should be omitted in most cases.
    scope String
    Specifies to operate only on resources that have a matching DNS scope. Allowed values: GLOBAL, PRIVATE. Required to access private zones by name.
    viewId String
    The OCID of the view the zone is associated with. Required when accessing a private zone by name.
    zoneNameOrId string
    The name or OCID of the target zone.
    compartmentId string
    The OCID of the compartment the zone belongs to. This parameter is deprecated by the service for GetZone and should be omitted in most cases.
    scope string
    Specifies to operate only on resources that have a matching DNS scope. Allowed values: GLOBAL, PRIVATE. Required to access private zones by name.
    viewId string
    The OCID of the view the zone is associated with. Required when accessing a private zone by name.
    zone_name_or_id str
    The name or OCID of the target zone.
    compartment_id str
    The OCID of the compartment the zone belongs to. This parameter is deprecated by the service for GetZone and should be omitted in most cases.
    scope str
    Specifies to operate only on resources that have a matching DNS scope. Allowed values: GLOBAL, PRIVATE. Required to access private zones by name.
    view_id str
    The OCID of the view the zone is associated with. Required when accessing a private zone by name.
    zoneNameOrId String
    The name or OCID of the target zone.
    compartmentId String
    The OCID of the compartment the zone belongs to. This parameter is deprecated by the service for GetZone and should be omitted in most cases.
    scope String
    Specifies to operate only on resources that have a matching DNS scope. Allowed values: GLOBAL, PRIVATE. Required to access private zones by name.
    viewId String
    The OCID of the view the zone is associated with. Required when accessing a private zone by name.

    getZone Result

    The following output properties are available:

    DefinedTags Dictionary<string, string>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    DnssecConfigs List<GetZoneDnssecConfig>
    DNSSEC configuration data.
    DnssecState string
    The state of DNSSEC on the zone.
    ExternalDownstreams List<GetZoneExternalDownstream>
    External secondary servers for the zone.
    ExternalMasters List<GetZoneExternalMaster>
    External master servers for the zone (required when zone_type is SECONDARY).
    FreeformTags Dictionary<string, string>
    Free-form tags for this resource. Each tag is a simple key-value pair.
    Id string
    The OCID of the zone.
    IsProtected bool
    Whether parts of the resource are protected from explicit management.
    Name string
    The name of the zone.
    Nameservers List<GetZoneNameserver>
    Nameservers for the zone.
    ResolutionMode string
    The resolution mode for the zone.
    Self string
    The canonical absolute URL of the resource.
    Serial int
    The current serial of the zone (from the SOA record).
    State string
    The current lifecycle state of the zone.
    TimeCreated string
    The RFC 3339 timestamp when the zone was created.
    Version string
    The version of the zone from which the SOA serial is derived.
    ZoneNameOrId string
    ZoneTransferServers List<GetZoneZoneTransferServer>
    The OCI nameservers that transfer zone data with external nameservers.
    ZoneType string
    The type of the zone. Must be either PRIMARY or SECONDARY. SECONDARY is supported only for GLOBAL zones.
    CompartmentId string
    The OCID of the compartment containing the zone.
    Scope string
    The scope of the zone.
    ViewId string
    The OCID of the private view containing the zone (null for global zones).
    DefinedTags map[string]string
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    DnssecConfigs []GetZoneDnssecConfig
    DNSSEC configuration data.
    DnssecState string
    The state of DNSSEC on the zone.
    ExternalDownstreams []GetZoneExternalDownstream
    External secondary servers for the zone.
    ExternalMasters []GetZoneExternalMaster
    External master servers for the zone (required when zone_type is SECONDARY).
    FreeformTags map[string]string
    Free-form tags for this resource. Each tag is a simple key-value pair.
    Id string
    The OCID of the zone.
    IsProtected bool
    Whether parts of the resource are protected from explicit management.
    Name string
    The name of the zone.
    Nameservers []GetZoneNameserver
    Nameservers for the zone.
    ResolutionMode string
    The resolution mode for the zone.
    Self string
    The canonical absolute URL of the resource.
    Serial int
    The current serial of the zone (from the SOA record).
    State string
    The current lifecycle state of the zone.
    TimeCreated string
    The RFC 3339 timestamp when the zone was created.
    Version string
    The version of the zone from which the SOA serial is derived.
    ZoneNameOrId string
    ZoneTransferServers []GetZoneZoneTransferServer
    The OCI nameservers that transfer zone data with external nameservers.
    ZoneType string
    The type of the zone. Must be either PRIMARY or SECONDARY. SECONDARY is supported only for GLOBAL zones.
    CompartmentId string
    The OCID of the compartment containing the zone.
    Scope string
    The scope of the zone.
    ViewId string
    The OCID of the private view containing the zone (null for global zones).
    definedTags Map<String,String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    dnssecConfigs List<GetZonesecConfig>
    DNSSEC configuration data.
    dnssecState String
    The state of DNSSEC on the zone.
    externalDownstreams List<GetZoneExternalDownstream>
    External secondary servers for the zone.
    externalMasters List<GetZoneExternalMaster>
    External master servers for the zone (required when zone_type is SECONDARY).
    freeformTags Map<String,String>
    Free-form tags for this resource. Each tag is a simple key-value pair.
    id String
    The OCID of the zone.
    isProtected Boolean
    Whether parts of the resource are protected from explicit management.
    name String
    The name of the zone.
    nameservers List<GetZoneNameserver>
    Nameservers for the zone.
    resolutionMode String
    The resolution mode for the zone.
    self String
    The canonical absolute URL of the resource.
    serial Integer
    The current serial of the zone (from the SOA record).
    state String
    The current lifecycle state of the zone.
    timeCreated String
    The RFC 3339 timestamp when the zone was created.
    version String
    The version of the zone from which the SOA serial is derived.
    zoneNameOrId String
    zoneTransferServers List<GetZoneZoneTransferServer>
    The OCI nameservers that transfer zone data with external nameservers.
    zoneType String
    The type of the zone. Must be either PRIMARY or SECONDARY. SECONDARY is supported only for GLOBAL zones.
    compartmentId String
    The OCID of the compartment containing the zone.
    scope String
    The scope of the zone.
    viewId String
    The OCID of the private view containing the zone (null for global zones).
    definedTags {[key: string]: string}
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    dnssecConfigs GetZoneDnssecConfig[]
    DNSSEC configuration data.
    dnssecState string
    The state of DNSSEC on the zone.
    externalDownstreams GetZoneExternalDownstream[]
    External secondary servers for the zone.
    externalMasters GetZoneExternalMaster[]
    External master servers for the zone (required when zone_type is SECONDARY).
    freeformTags {[key: string]: string}
    Free-form tags for this resource. Each tag is a simple key-value pair.
    id string
    The OCID of the zone.
    isProtected boolean
    Whether parts of the resource are protected from explicit management.
    name string
    The name of the zone.
    nameservers GetZoneNameserver[]
    Nameservers for the zone.
    resolutionMode string
    The resolution mode for the zone.
    self string
    The canonical absolute URL of the resource.
    serial number
    The current serial of the zone (from the SOA record).
    state string
    The current lifecycle state of the zone.
    timeCreated string
    The RFC 3339 timestamp when the zone was created.
    version string
    The version of the zone from which the SOA serial is derived.
    zoneNameOrId string
    zoneTransferServers GetZoneZoneTransferServer[]
    The OCI nameservers that transfer zone data with external nameservers.
    zoneType string
    The type of the zone. Must be either PRIMARY or SECONDARY. SECONDARY is supported only for GLOBAL zones.
    compartmentId string
    The OCID of the compartment containing the zone.
    scope string
    The scope of the zone.
    viewId string
    The OCID of the private view containing the zone (null for global zones).
    defined_tags Mapping[str, str]
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    dnssec_configs Sequence[GetZoneDnssecConfig]
    DNSSEC configuration data.
    dnssec_state str
    The state of DNSSEC on the zone.
    external_downstreams Sequence[GetZoneExternalDownstream]
    External secondary servers for the zone.
    external_masters Sequence[GetZoneExternalMaster]
    External master servers for the zone (required when zone_type is SECONDARY).
    freeform_tags Mapping[str, str]
    Free-form tags for this resource. Each tag is a simple key-value pair.
    id str
    The OCID of the zone.
    is_protected bool
    Whether parts of the resource are protected from explicit management.
    name str
    The name of the zone.
    nameservers Sequence[GetZoneNameserver]
    Nameservers for the zone.
    resolution_mode str
    The resolution mode for the zone.
    self str
    The canonical absolute URL of the resource.
    serial int
    The current serial of the zone (from the SOA record).
    state str
    The current lifecycle state of the zone.
    time_created str
    The RFC 3339 timestamp when the zone was created.
    version str
    The version of the zone from which the SOA serial is derived.
    zone_name_or_id str
    zone_transfer_servers Sequence[GetZoneZoneTransferServer]
    The OCI nameservers that transfer zone data with external nameservers.
    zone_type str
    The type of the zone. Must be either PRIMARY or SECONDARY. SECONDARY is supported only for GLOBAL zones.
    compartment_id str
    The OCID of the compartment containing the zone.
    scope str
    The scope of the zone.
    view_id str
    The OCID of the private view containing the zone (null for global zones).
    definedTags Map<String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    dnssecConfigs List<Property Map>
    DNSSEC configuration data.
    dnssecState String
    The state of DNSSEC on the zone.
    externalDownstreams List<Property Map>
    External secondary servers for the zone.
    externalMasters List<Property Map>
    External master servers for the zone (required when zone_type is SECONDARY).
    freeformTags Map<String>
    Free-form tags for this resource. Each tag is a simple key-value pair.
    id String
    The OCID of the zone.
    isProtected Boolean
    Whether parts of the resource are protected from explicit management.
    name String
    The name of the zone.
    nameservers List<Property Map>
    Nameservers for the zone.
    resolutionMode String
    The resolution mode for the zone.
    self String
    The canonical absolute URL of the resource.
    serial Number
    The current serial of the zone (from the SOA record).
    state String
    The current lifecycle state of the zone.
    timeCreated String
    The RFC 3339 timestamp when the zone was created.
    version String
    The version of the zone from which the SOA serial is derived.
    zoneNameOrId String
    zoneTransferServers List<Property Map>
    The OCI nameservers that transfer zone data with external nameservers.
    zoneType String
    The type of the zone. Must be either PRIMARY or SECONDARY. SECONDARY is supported only for GLOBAL zones.
    compartmentId String
    The OCID of the compartment containing the zone.
    scope String
    The scope of the zone.
    viewId String
    The OCID of the private view containing the zone (null for global zones).

    Supporting Types

    GetZoneDnssecConfig

    KskDnssecKeyVersions List<GetZoneDnssecConfigKskDnssecKeyVersion>
    A read-only array of key signing key (KSK) versions.
    ZskDnssecKeyVersions List<GetZoneDnssecConfigZskDnssecKeyVersion>
    A read-only array of zone signing key (ZSK) versions.
    KskDnssecKeyVersions []GetZoneDnssecConfigKskDnssecKeyVersion
    A read-only array of key signing key (KSK) versions.
    ZskDnssecKeyVersions []GetZoneDnssecConfigZskDnssecKeyVersion
    A read-only array of zone signing key (ZSK) versions.
    kskDnssecKeyVersions List<GetZonesecConfigKsksecKeyVersion>
    A read-only array of key signing key (KSK) versions.
    zskDnssecKeyVersions List<GetZonesecConfigZsksecKeyVersion>
    A read-only array of zone signing key (ZSK) versions.
    kskDnssecKeyVersions GetZoneDnssecConfigKskDnssecKeyVersion[]
    A read-only array of key signing key (KSK) versions.
    zskDnssecKeyVersions GetZoneDnssecConfigZskDnssecKeyVersion[]
    A read-only array of zone signing key (ZSK) versions.
    ksk_dnssec_key_versions Sequence[GetZoneDnssecConfigKskDnssecKeyVersion]
    A read-only array of key signing key (KSK) versions.
    zsk_dnssec_key_versions Sequence[GetZoneDnssecConfigZskDnssecKeyVersion]
    A read-only array of zone signing key (ZSK) versions.
    kskDnssecKeyVersions List<Property Map>
    A read-only array of key signing key (KSK) versions.
    zskDnssecKeyVersions List<Property Map>
    A read-only array of zone signing key (ZSK) versions.

    GetZoneDnssecConfigKskDnssecKeyVersion

    Algorithm string
    The signing algorithm used for the key.
    DsDatas List<GetZoneDnssecConfigKskDnssecKeyVersionDsData>
    An array of data for DS records corresponding with this key version. An entry will exist for each supported DS digest algorithm.
    KeyTag int
    The key tag associated with the DnssecKeyVersion.
    LengthInBytes int
    The length of the corresponding private key in bytes.
    PredecessorDnssecKeyVersionUuid string
    UUID of the key version this will replace or has replaced.
    SuccessorDnssecKeyVersionUuid string
    UUID of the key version that will replace or has replaced this key version.
    TimeActivated string
    RFC 3339 timestamp when the key version went or will go active.
    TimeCreated string
    The RFC 3339 timestamp when the zone was created.
    TimeExpired string
    RFC 3339 timestamp for end of recommended lifetime.
    TimeInactivated string
    RFC 3339 timestamp when the key version went or will go inactive.
    TimePromoted string
    RFC 3339 timestamp when the key version was promoted.
    TimePublished string
    RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
    TimeUnpublished string
    RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
    Uuid string
    The UUID of the DnssecKeyVersion.
    Algorithm string
    The signing algorithm used for the key.
    DsDatas []GetZoneDnssecConfigKskDnssecKeyVersionDsData
    An array of data for DS records corresponding with this key version. An entry will exist for each supported DS digest algorithm.
    KeyTag int
    The key tag associated with the DnssecKeyVersion.
    LengthInBytes int
    The length of the corresponding private key in bytes.
    PredecessorDnssecKeyVersionUuid string
    UUID of the key version this will replace or has replaced.
    SuccessorDnssecKeyVersionUuid string
    UUID of the key version that will replace or has replaced this key version.
    TimeActivated string
    RFC 3339 timestamp when the key version went or will go active.
    TimeCreated string
    The RFC 3339 timestamp when the zone was created.
    TimeExpired string
    RFC 3339 timestamp for end of recommended lifetime.
    TimeInactivated string
    RFC 3339 timestamp when the key version went or will go inactive.
    TimePromoted string
    RFC 3339 timestamp when the key version was promoted.
    TimePublished string
    RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
    TimeUnpublished string
    RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
    Uuid string
    The UUID of the DnssecKeyVersion.
    algorithm String
    The signing algorithm used for the key.
    dsDatas List<GetZonesecConfigKsksecKeyVersionDsData>
    An array of data for DS records corresponding with this key version. An entry will exist for each supported DS digest algorithm.
    keyTag Integer
    The key tag associated with the DnssecKeyVersion.
    lengthInBytes Integer
    The length of the corresponding private key in bytes.
    predecessorDnssecKeyVersionUuid String
    UUID of the key version this will replace or has replaced.
    successorDnssecKeyVersionUuid String
    UUID of the key version that will replace or has replaced this key version.
    timeActivated String
    RFC 3339 timestamp when the key version went or will go active.
    timeCreated String
    The RFC 3339 timestamp when the zone was created.
    timeExpired String
    RFC 3339 timestamp for end of recommended lifetime.
    timeInactivated String
    RFC 3339 timestamp when the key version went or will go inactive.
    timePromoted String
    RFC 3339 timestamp when the key version was promoted.
    timePublished String
    RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
    timeUnpublished String
    RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
    uuid String
    The UUID of the DnssecKeyVersion.
    algorithm string
    The signing algorithm used for the key.
    dsDatas GetZoneDnssecConfigKskDnssecKeyVersionDsData[]
    An array of data for DS records corresponding with this key version. An entry will exist for each supported DS digest algorithm.
    keyTag number
    The key tag associated with the DnssecKeyVersion.
    lengthInBytes number
    The length of the corresponding private key in bytes.
    predecessorDnssecKeyVersionUuid string
    UUID of the key version this will replace or has replaced.
    successorDnssecKeyVersionUuid string
    UUID of the key version that will replace or has replaced this key version.
    timeActivated string
    RFC 3339 timestamp when the key version went or will go active.
    timeCreated string
    The RFC 3339 timestamp when the zone was created.
    timeExpired string
    RFC 3339 timestamp for end of recommended lifetime.
    timeInactivated string
    RFC 3339 timestamp when the key version went or will go inactive.
    timePromoted string
    RFC 3339 timestamp when the key version was promoted.
    timePublished string
    RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
    timeUnpublished string
    RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
    uuid string
    The UUID of the DnssecKeyVersion.
    algorithm str
    The signing algorithm used for the key.
    ds_datas Sequence[GetZoneDnssecConfigKskDnssecKeyVersionDsData]
    An array of data for DS records corresponding with this key version. An entry will exist for each supported DS digest algorithm.
    key_tag int
    The key tag associated with the DnssecKeyVersion.
    length_in_bytes int
    The length of the corresponding private key in bytes.
    predecessor_dnssec_key_version_uuid str
    UUID of the key version this will replace or has replaced.
    successor_dnssec_key_version_uuid str
    UUID of the key version that will replace or has replaced this key version.
    time_activated str
    RFC 3339 timestamp when the key version went or will go active.
    time_created str
    The RFC 3339 timestamp when the zone was created.
    time_expired str
    RFC 3339 timestamp for end of recommended lifetime.
    time_inactivated str
    RFC 3339 timestamp when the key version went or will go inactive.
    time_promoted str
    RFC 3339 timestamp when the key version was promoted.
    time_published str
    RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
    time_unpublished str
    RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
    uuid str
    The UUID of the DnssecKeyVersion.
    algorithm String
    The signing algorithm used for the key.
    dsDatas List<Property Map>
    An array of data for DS records corresponding with this key version. An entry will exist for each supported DS digest algorithm.
    keyTag Number
    The key tag associated with the DnssecKeyVersion.
    lengthInBytes Number
    The length of the corresponding private key in bytes.
    predecessorDnssecKeyVersionUuid String
    UUID of the key version this will replace or has replaced.
    successorDnssecKeyVersionUuid String
    UUID of the key version that will replace or has replaced this key version.
    timeActivated String
    RFC 3339 timestamp when the key version went or will go active.
    timeCreated String
    The RFC 3339 timestamp when the zone was created.
    timeExpired String
    RFC 3339 timestamp for end of recommended lifetime.
    timeInactivated String
    RFC 3339 timestamp when the key version went or will go inactive.
    timePromoted String
    RFC 3339 timestamp when the key version was promoted.
    timePublished String
    RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
    timeUnpublished String
    RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
    uuid String
    The UUID of the DnssecKeyVersion.

    GetZoneDnssecConfigKskDnssecKeyVersionDsData

    DigestType string
    The type of the digest associated with the rdata.
    Rdata string
    Presentation-format DS record data that must be added to the parent zone.
    DigestType string
    The type of the digest associated with the rdata.
    Rdata string
    Presentation-format DS record data that must be added to the parent zone.
    digestType String
    The type of the digest associated with the rdata.
    rdata String
    Presentation-format DS record data that must be added to the parent zone.
    digestType string
    The type of the digest associated with the rdata.
    rdata string
    Presentation-format DS record data that must be added to the parent zone.
    digest_type str
    The type of the digest associated with the rdata.
    rdata str
    Presentation-format DS record data that must be added to the parent zone.
    digestType String
    The type of the digest associated with the rdata.
    rdata String
    Presentation-format DS record data that must be added to the parent zone.

    GetZoneDnssecConfigZskDnssecKeyVersion

    Algorithm string
    The signing algorithm used for the key.
    KeyTag int
    The key tag associated with the DnssecKeyVersion.
    LengthInBytes int
    The length of the corresponding private key in bytes.
    PredecessorDnssecKeyVersionUuid string
    UUID of the key version this will replace or has replaced.
    SuccessorDnssecKeyVersionUuid string
    UUID of the key version that will replace or has replaced this key version.
    TimeActivated string
    RFC 3339 timestamp when the key version went or will go active.
    TimeCreated string
    The RFC 3339 timestamp when the zone was created.
    TimeExpired string
    RFC 3339 timestamp for end of recommended lifetime.
    TimeInactivated string
    RFC 3339 timestamp when the key version went or will go inactive.
    TimePromoted string
    RFC 3339 timestamp when the key version was promoted.
    TimePublished string
    RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
    TimeUnpublished string
    RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
    Uuid string
    The UUID of the DnssecKeyVersion.
    Algorithm string
    The signing algorithm used for the key.
    KeyTag int
    The key tag associated with the DnssecKeyVersion.
    LengthInBytes int
    The length of the corresponding private key in bytes.
    PredecessorDnssecKeyVersionUuid string
    UUID of the key version this will replace or has replaced.
    SuccessorDnssecKeyVersionUuid string
    UUID of the key version that will replace or has replaced this key version.
    TimeActivated string
    RFC 3339 timestamp when the key version went or will go active.
    TimeCreated string
    The RFC 3339 timestamp when the zone was created.
    TimeExpired string
    RFC 3339 timestamp for end of recommended lifetime.
    TimeInactivated string
    RFC 3339 timestamp when the key version went or will go inactive.
    TimePromoted string
    RFC 3339 timestamp when the key version was promoted.
    TimePublished string
    RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
    TimeUnpublished string
    RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
    Uuid string
    The UUID of the DnssecKeyVersion.
    algorithm String
    The signing algorithm used for the key.
    keyTag Integer
    The key tag associated with the DnssecKeyVersion.
    lengthInBytes Integer
    The length of the corresponding private key in bytes.
    predecessorDnssecKeyVersionUuid String
    UUID of the key version this will replace or has replaced.
    successorDnssecKeyVersionUuid String
    UUID of the key version that will replace or has replaced this key version.
    timeActivated String
    RFC 3339 timestamp when the key version went or will go active.
    timeCreated String
    The RFC 3339 timestamp when the zone was created.
    timeExpired String
    RFC 3339 timestamp for end of recommended lifetime.
    timeInactivated String
    RFC 3339 timestamp when the key version went or will go inactive.
    timePromoted String
    RFC 3339 timestamp when the key version was promoted.
    timePublished String
    RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
    timeUnpublished String
    RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
    uuid String
    The UUID of the DnssecKeyVersion.
    algorithm string
    The signing algorithm used for the key.
    keyTag number
    The key tag associated with the DnssecKeyVersion.
    lengthInBytes number
    The length of the corresponding private key in bytes.
    predecessorDnssecKeyVersionUuid string
    UUID of the key version this will replace or has replaced.
    successorDnssecKeyVersionUuid string
    UUID of the key version that will replace or has replaced this key version.
    timeActivated string
    RFC 3339 timestamp when the key version went or will go active.
    timeCreated string
    The RFC 3339 timestamp when the zone was created.
    timeExpired string
    RFC 3339 timestamp for end of recommended lifetime.
    timeInactivated string
    RFC 3339 timestamp when the key version went or will go inactive.
    timePromoted string
    RFC 3339 timestamp when the key version was promoted.
    timePublished string
    RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
    timeUnpublished string
    RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
    uuid string
    The UUID of the DnssecKeyVersion.
    algorithm str
    The signing algorithm used for the key.
    key_tag int
    The key tag associated with the DnssecKeyVersion.
    length_in_bytes int
    The length of the corresponding private key in bytes.
    predecessor_dnssec_key_version_uuid str
    UUID of the key version this will replace or has replaced.
    successor_dnssec_key_version_uuid str
    UUID of the key version that will replace or has replaced this key version.
    time_activated str
    RFC 3339 timestamp when the key version went or will go active.
    time_created str
    The RFC 3339 timestamp when the zone was created.
    time_expired str
    RFC 3339 timestamp for end of recommended lifetime.
    time_inactivated str
    RFC 3339 timestamp when the key version went or will go inactive.
    time_promoted str
    RFC 3339 timestamp when the key version was promoted.
    time_published str
    RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
    time_unpublished str
    RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
    uuid str
    The UUID of the DnssecKeyVersion.
    algorithm String
    The signing algorithm used for the key.
    keyTag Number
    The key tag associated with the DnssecKeyVersion.
    lengthInBytes Number
    The length of the corresponding private key in bytes.
    predecessorDnssecKeyVersionUuid String
    UUID of the key version this will replace or has replaced.
    successorDnssecKeyVersionUuid String
    UUID of the key version that will replace or has replaced this key version.
    timeActivated String
    RFC 3339 timestamp when the key version went or will go active.
    timeCreated String
    The RFC 3339 timestamp when the zone was created.
    timeExpired String
    RFC 3339 timestamp for end of recommended lifetime.
    timeInactivated String
    RFC 3339 timestamp when the key version went or will go inactive.
    timePromoted String
    RFC 3339 timestamp when the key version was promoted.
    timePublished String
    RFC 3339 timestamp when the zone contents include a DNSKEY for the key material.
    timeUnpublished String
    RFC 3339 timestamp when the DNSKEY is removed from the zone contents.
    uuid String
    The UUID of the DnssecKeyVersion.

    GetZoneExternalDownstream

    Address string
    The server's IP address (IPv4 or IPv6).
    Port int
    The server's port.
    TsigKeyId string
    The OCID of the TSIG key.
    Address string
    The server's IP address (IPv4 or IPv6).
    Port int
    The server's port.
    TsigKeyId string
    The OCID of the TSIG key.
    address String
    The server's IP address (IPv4 or IPv6).
    port Integer
    The server's port.
    tsigKeyId String
    The OCID of the TSIG key.
    address string
    The server's IP address (IPv4 or IPv6).
    port number
    The server's port.
    tsigKeyId string
    The OCID of the TSIG key.
    address str
    The server's IP address (IPv4 or IPv6).
    port int
    The server's port.
    tsig_key_id str
    The OCID of the TSIG key.
    address String
    The server's IP address (IPv4 or IPv6).
    port Number
    The server's port.
    tsigKeyId String
    The OCID of the TSIG key.

    GetZoneExternalMaster

    Address string
    The server's IP address (IPv4 or IPv6).
    Port int
    The server's port.
    TsigKeyId string
    The OCID of the TSIG key.
    Address string
    The server's IP address (IPv4 or IPv6).
    Port int
    The server's port.
    TsigKeyId string
    The OCID of the TSIG key.
    address String
    The server's IP address (IPv4 or IPv6).
    port Integer
    The server's port.
    tsigKeyId String
    The OCID of the TSIG key.
    address string
    The server's IP address (IPv4 or IPv6).
    port number
    The server's port.
    tsigKeyId string
    The OCID of the TSIG key.
    address str
    The server's IP address (IPv4 or IPv6).
    port int
    The server's port.
    tsig_key_id str
    The OCID of the TSIG key.
    address String
    The server's IP address (IPv4 or IPv6).
    port Number
    The server's port.
    tsigKeyId String
    The OCID of the TSIG key.

    GetZoneNameserver

    Hostname string
    Hostname of the nameserver.
    Hostname string
    Hostname of the nameserver.
    hostname String
    Hostname of the nameserver.
    hostname string
    Hostname of the nameserver.
    hostname str
    Hostname of the nameserver.
    hostname String
    Hostname of the nameserver.

    GetZoneZoneTransferServer

    Address string
    The server's IP address (IPv4 or IPv6).
    IsTransferDestination bool
    Whether the server is a zone data transfer destination.
    IsTransferSource bool
    Whether the server is a zone data transfer source.
    Port int
    The server's port.
    Address string
    The server's IP address (IPv4 or IPv6).
    IsTransferDestination bool
    Whether the server is a zone data transfer destination.
    IsTransferSource bool
    Whether the server is a zone data transfer source.
    Port int
    The server's port.
    address String
    The server's IP address (IPv4 or IPv6).
    isTransferDestination Boolean
    Whether the server is a zone data transfer destination.
    isTransferSource Boolean
    Whether the server is a zone data transfer source.
    port Integer
    The server's port.
    address string
    The server's IP address (IPv4 or IPv6).
    isTransferDestination boolean
    Whether the server is a zone data transfer destination.
    isTransferSource boolean
    Whether the server is a zone data transfer source.
    port number
    The server's port.
    address str
    The server's IP address (IPv4 or IPv6).
    is_transfer_destination bool
    Whether the server is a zone data transfer destination.
    is_transfer_source bool
    Whether the server is a zone data transfer source.
    port int
    The server's port.
    address String
    The server's IP address (IPv4 or IPv6).
    isTransferDestination Boolean
    Whether the server is a zone data transfer destination.
    isTransferSource Boolean
    Whether the server is a zone data transfer source.
    port Number
    The server's port.

    Package Details

    Repository
    oci pulumi/pulumi-oci
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the oci Terraform Provider.
    oci logo
    Oracle Cloud Infrastructure v4.1.0 published on Thursday, Feb 26, 2026 by Pulumi
      Meet Neo: Your AI Platform Teammate